tcp_data Struct Reference

`#include <sock.h>`

## Data Fields

engine_type * | engine
query_type * | query
size_t | tcp_accept_handler_count
netio_handler_type * | tcp_accept_handlers
query_state | qstate
size_t | bytes_transmitted

## Detailed Description

Data for tcp handlers.

Definition at line 86 of file sock.h.

## Field Documentation

## bytes_transmitted

size_t tcp_data::bytes_transmitted

Definition at line 92 of file sock.h.

Referenced by sock_handle_tcp_accept(), sock_handle_tcp_read(), and sock_handle_tcp_write().

## engine

engine_type* tcp_data::engine

Definition at line 87 of file sock.h.

Referenced by sock_handle_tcp_accept(), sock_handle_tcp_read(), and sock_handle_tcp_write().

## qstate

query_state tcp_data::qstate

Definition at line 91 of file sock.h.

Referenced by sock_handle_tcp_accept(), sock_handle_tcp_read(), and sock_handle_tcp_write().

## query

query_type* tcp_data::query

Definition at line 88 of file sock.h.

Referenced by sock_handle_tcp_accept(), sock_handle_tcp_read(), and sock_handle_tcp_write().

## tcp_accept_handler_count

size_t tcp_data::tcp_accept_handler_count

Definition at line 89 of file sock.h.

Referenced by sock_handle_tcp_accept().

## tcp_accept_handlers

netio_handler_type* tcp_data::tcp_accept_handlers

Definition at line 90 of file sock.h.

Referenced by sock_handle_tcp_accept().

The documentation for this struct was generated from the following file:

- src/wire/sock.h